		$(document).ready(function(){
			load(1);
		});

		function load(page){
			var q= $("#q").val();
			$("#loader").fadeIn('slow');
			$.ajax({
				url:'./ajax/buscar_controltriaje.php?action=ajax&page='+page+'&q='+q,
				 beforeSend: function(objeto){
				 $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
			  },
				success:function(data){
					$(".outer_div").html(data).fadeIn('slow');
					$('#loader').html('');
					
				}
			})
		}

	function buscar()
		{
			
		dni=$('#dni').val();
			$.ajax({
				type:'post',
				url:'ajax/controltriaje.php',
				dataType:'json',
				data:'dni='+dni+"&accion=buscar",
				success:function(html)
				{
					a=html;
					na=html.length;
					//Mostramos los datos del empleado
					// $('#id').html(a[0][0]);
					$('#nrorden').val(a[0][1]);
					// $('#nomenclatura').val(a[0][2]);
					$('#dni').val(a[0][3]);
					$('#apenom').val(a[0][4]);
					$('#edad').val(a[0][5]);
					$('#telefono').val(a[0][6]);
					$('#autogenerado').val(a[0][7]);
					$('#lugarorigen').val(a[0][8]);
					$('#lugardestino').val(a[0][9]);
					$('#hospital').val(a[0][10]);
					$('#departamento').val(a[0][11]);
					$('#servicio').val(a[0][12]);
					$('#coddiagnostico').val(a[0][13]);
					$('#descripdiagnostico').val(a[0][14]);			
					$('#nommedico').val(a[0][15]);
					$('#codplanilla').val(a[0][16]);
					$('#observaciones').val(a[0][17]);
					// $('#estado').val(a[0][18]);
					
					$('#dniaco').val(a[0][21]);
					$('#apenomaco').val(a[0][22]);
					$('#edadaco').val(a[0][23]);
				}
			});
			
		}
		
	function eliminar (id)
		{
		var q= $("#q").val();
		if (confirm("Realmente deseas eliminar ")){	
		$.ajax({
        type: "GET",
        url: "./ajax/buscar_traijered.php",
        data: "id="+id,"q":q,
		 beforeSend: function(objeto){
			$("#resultados").html("Mensaje: Cargando...");
		  },
        success: function(datos){
		$("#resultados").html(datos);
		load(1);
		}
			});
		}
		}
function limpiar()
{
	$('#id').html("0");
	$('#nrorden').val("");
	$('#dni').val("");
	$('#apenom').val("");
	$('#edad').val("");
	$('#telefono').val("");
	$('#autogenerado').val("");
	$('#lugarorigen').val("");
	$('#lugardestino').val("");
	$('#hospital').val("");
	$('#departamento').val("");
	$('#servicio').val("");
	$('#coddiagnostico').val("");
	$('#descripdiagnostico').val("");
	$('#nommedico').val("");
	$('#codplanilla').val("");
	$('#estado').val("");
	$('#observaciones').val("");
	$('#dniaco').val("");
	$('#apenomaco').val("");
	$('#edadaco').val("");
}
		
	
$( "#guardar_categoria" ).submit(function( event ) {
  $('#guardar_datos').attr("disabled", true);
  
 var parametros = $(this).serialize();
	 $.ajax({
			type: "POST",
			url: "ajax/nueva_pasajes.php",
			data: parametros,
			 beforeSend: function(objeto){
				$("#resultados_ajax").html("Mensaje: Cargando...");
			  },
			success: function(datos){
			$("#resultados_ajax").html(datos);
			$('#guardar_datos').attr("disabled", false);
			load(1);
			// alert("Paciente registrado");
			limpiar();
		  }
	});
  event.preventDefault();
})


$( "#editar_categoria" ).submit(function( event ) {
  $('#actualizar_datos').attr("disabled", true);
  
 var parametros = $(this).serialize();
	 $.ajax({
			type: "POST",
			url: "ajax/editar_pasajes.php",
			data: parametros,
			 beforeSend: function(objeto){
				$("#resultados_ajax2").html("Mensaje: Cargando...");
			  },
			success: function(datos){
			$("#resultados_ajax2").html(datos);
			$('#actualizar_datos').attr("disabled", false);
			load(1);
		  }
	});
  event.preventDefault();
})

	
	$('#myModal2').on('show.bs.modal', function (event) {
	  var button = $(event.relatedTarget) // Button that triggered the modal
	  var nombre = button.data('nombre') 
	  var descripcion = button.data('descripcion')
	  var dni = button.data('dni')
	  var apenom = button.data('apenom')
	  var edad = button.data('edad') 
	  var telefono = button.data('telefono') 
	  var autogenerado = button.data('autogenerado') 
	  var lugarorigen = button.data('lugarorigen') 
	  var lugardestino = button.data('lugardestino') 
	  var hospital = button.data('hospital') 
	  var departamento = button.data('departamento') 
	  var servicio = button.data('servicio') 
	  var coddiagnostico = button.data('coddiagnostico') 
	  var descripdiagnostico = button.data('descripdiagnostico') 
	  var nommedico = button.data('nommedico') 
	  var dniaco = button.data('dniaco') 
	  var apenomaco = button.data('apenomaco') 
	  var edadaco = button.data('edadaco')  
	  var id = button.data('id') 
	  var modal = $(this)
	  modal.find('.modal-body #mod_nombre').val(nombre)
	  modal.find('.modal-body #mod_descripcion').val(descripcion)
	  modal.find('.modal-body #mod_dni').val(dni)
	  modal.find('.modal-body #mod_apenom').val(apenom) 
	  modal.find('.modal-body #mod_edad').val(edad) 
	  modal.find('.modal-body #mod_telefono').val(telefono) 
	  modal.find('.modal-body #mod_autogenerado').val(autogenerado) 
	  modal.find('.modal-body #mod_lugarorigen').val(lugarorigen) 
	  modal.find('.modal-body #mod_lugardestino').val(lugardestino) 
	  modal.find('.modal-body #mod_hospital').val(hospital) 
	  modal.find('.modal-body #mod_departamento').val(departamento) 
	  modal.find('.modal-body #mod_servicio').val(servicio) 
	  modal.find('.modal-body #mod_coddiagnostico').val(coddiagnostico) 
	  modal.find('.modal-body #mod_descripdiagnostico').val(descripdiagnostico) 
	  modal.find('.modal-body #mod_nommedico').val(nommedico) 
	  modal.find('.modal-body #mod_dniaco').val(dniaco) 
	  modal.find('.modal-body #mod_apenomaco').val(apenomaco) 
	  modal.find('.modal-body #mod_edadaco').val(edadaco) 
	  modal.find('.modal-body #mod_id').val(id)
	})





$( "#editar_categoria1" ).submit(function( event ) {
  $('#actualizar_datos1').attr("disabled", true);
  
 var parametros = $(this).serialize();
	 $.ajax({
			type: "POST",
			url: "ajax/editar_pasajes1.php",
			data: parametros,
			 beforeSend: function(objeto){
				$("#resultados_ajax22").html("Mensaje: Cargando...");
			  },
			success: function(datos){
			$("#resultados_ajax22").html(datos);
			$('#actualizar_datos1').attr("disabled", false);
			load(1);
		  }
	});
  event.preventDefault();
})

	
	$('#myModal22').on('show.bs.modal', function (event) {
	  var button = $(event.relatedTarget) // Button that triggered the modal
	  var estado = button.data('estado') 
	  var estado2 = button.data('estado2')
	  var estado3 = button.data('estado3')
	 
	  var id = button.data('id') 
	  var modal = $(this)
	  modal.find('.modal-body #mod_estado').val(estado)
	  modal.find('.modal-body #mod_estado2').val(estado2)
	  modal.find('.modal-body #mod_estado3').val(estado3)
	  modal.find('.modal-body #mod_id').val(id)
	})
		

